
<div class="modal-header BCPO">
  <span class="modal-title CW" id="exampleModalLabel">{{modalConfig}} Ticket</span>
  <a (click)="activeModal.dismiss('Cross click')">
    <i class="pi pi-times-circle " ></i>
  </a>
</div>

<form [formGroup]="ticketForm" (ngSubmit)="onSubmit()">

  <div class="modal-body">
    <div class="row">

      <div class="col-sm-4">
        <div class="form-group">
          <label >Tipo de Operacion:</label>
          <select  class="form-control" [(ngModel)]="modalData.idOperacion" formControlName="idOperacion"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idOperacion.errors }">
            <option *ngFor="let value of dataOperaciones" [value]="value.id">{{value.nombreOperacion}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idOperacion.errors" class="invalid-feedback">
            <div *ngIf="f.idOperacion.errors.required">La operacion es requerida.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >Planta Origen:</label>
          <select  class="form-control" [(ngModel)]="modalData.idDependencia" formControlName="idDependencia"
          [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idDependencia.errors }">
            <option *ngFor="let value of dataDependencias" [value]="value.id">{{value.dependencia}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idDependencia.errors" class="invalid-feedback">
            <div *ngIf="f.idDependencia.errors.required">La dependencia origen es requerida.</div>
          </div>
        </div>
      </div>



      <div class="col-sm-4">
        <div class="form-group">
          <label >Planta Destino:</label>
          <select  class="form-control" [(ngModel)]="modalData.idDependenciaDestino" formControlName="idDependenciaDestino"
          [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idDependenciaDestino.errors }">
            <option *ngFor="let value of dataDependenciasDestino" [value]="value.id">{{value.dependencia}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idDependenciaDestino.errors" class="invalid-feedback">
            <div *ngIf="f.idDependenciaDestino.errors.required">La dependencia Destino es requerida.</div>
          </div>
        </div>
      </div>


      <div class="col-sm-3 offset-sm-3">
        <div class="form-group">
          <label >Dependencia:</label>
          <select  class="form-control" [(ngModel)]="modalData.subDependencia" formControlName="subDependencia"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.subDependencia.errors }">
            <option *ngFor="let value of dataSubDependencia" [value]="value.id">{{value.nombre}}</option>
          </select>
          <div   *ngIf="submitted &&  f.subDependencia.errors" class="invalid-feedback">
            <div *ngIf="f.subDependencia.errors.required">Dependencia es requerido.</div>
          </div>
        </div>
      </div>



      <div class="col-sm-3">
        <div class="form-group">
          <label >Muelle:</label>
          <input type="number" class="form-control" formControlName="muelle"  [(ngModel)]="modalData.muelle"   placeholder="Ingrese el muelle "
                 (keypress)="validation($event)" min="1"  [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.muelle.errors }"/>
          <div   *ngIf="submitted &&  f.muelle.errors" class="invalid-feedback">
            <div *ngIf="f.muelle.errors.required">muelle es requerido.</div>
          </div>
        </div>
      </div>



      <div class="col-sm-4">
        <div class="form-group">
          <label >Tipo de transporte:</label>
          <select  class="form-control" [(ngModel)]="modalData.idTipoTransporte" formControlName="idTipoTransporte"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idTipoTransporte.errors }">
            <option *ngFor="let value of dataTipoTransporte" [value]="value.id">{{value.tipoTransporte}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idTipoTransporte.errors" class="invalid-feedback">
            <div *ngIf="f.idTipoTransporte.errors.required">Tipo Transporte es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-4">
        <div class="form-group">
          <label >placa</label>
          <input type="text" class="form-control" formControlName="placa"  [(ngModel)]="modalData.placa"   placeholder="Ingrese la placa "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.placa.errors }"/>
          <div   *ngIf="submitted &&  f.placa.errors" class="invalid-feedback">
            <div *ngIf="f.placa.errors.required">placa es requerido.</div>
          </div>
        </div>
      </div>


      <div class="col-sm-4">
        <div class="form-group">
          <label >Transportista:</label>
          <select  class="form-control" [(ngModel)]="modalData.idTransportista" formControlName="idTransportista"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.idTransportista.errors }">
            <option *ngFor="let value of dataTransportista" [value]="value.id">{{value.transportista}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idTransportista.errors" class="invalid-feedback">
            <div *ngIf="f.idTransportista.errors.required">Transportista es requerido.</div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
    <button type="submit" class="btn bCPO">GUARDAR</button>
  </div>
</form>
